- Development Integration
- /
- SDK
- /
- Python
- /
Management Module
- /
管理应用
- /
- 授权应用访问权限
¶ Authorize application access rights
Update time: 2025-07-23 07:34:21
This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If the description of this document is incorrect, please refer to V3 API.
Authorize application access permissions to users, groups, organizations, or roles. If the user, group, organization, or role does not exist, skip and proceed to the next step of authorization without returning an error
¶ Method name
ManagementClient.authorize_application_access
¶ Request parameters
| Name | Type | Required | Default value | Description | Sample value |
|---|---|---|---|---|---|
| list | ApplicationPermissionRecordItem[] | Yes | - | List of authorized entities, up to 10 items | |
| appId | string | Yes | - | Application ID | 6229ffaxxxxxxxxcade3e3d9 |
¶ Request Response
Type: IsSuccessRespDto
| Name | Type | Description |
|---|---|---|
| statusCode | number | Business status code, which can be used to determine whether the operation is successful. 200 means success. |
| message | string | Description |
| apiCode | number | Segmented error code, which can be used to get the specific error type (successful request does not return). For a detailed list of error codes, please see: API Code List (opens new window) |
| requestId | string | Request ID. Returned when the request fails. |
| data | IsSuccessDto | Whether the operation is successful |
Example results:
{
"statusCode": 200,
"message": "Success",
"requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
"data": {
"success": true
}
}
¶ Data Structure
¶ ApplicationPermissionRecordItem
| Name | Type | Is it required? | Description | Sample value |
|---|---|---|---|---|
| targetType | string | yes | Subject type | USER |
| namespaceCode | string | no | Permission group code, required when subject type is "ROLE" | code1 |
| inheritByChildren | boolean | no | When subject type is "ORG", whether authorization is inherited by child nodes | true |
| targetIdentifier | array | yes | Subject identifier list, when subject type is "USER", the value should be user ID; when subject type is "GROUP", the value should be group code; when subject type is "ROLE" When the subject type is "ORG", the value should be the role code; when the subject type is "ORG", the value should be the organization node ID. Maximum 50 entries. | ["6229ffaxxxxxxxxcade3e3d9"] |
| effect | string | yes | Authorization effect, allow or deny | ALLOW |
¶ IsSuccessDto
| Name | Type | Is it required | Description | Sample value |
|---|---|---|---|---|
| success | boolean | yes | Whether the operation was successful | true |
